variable "proxmox_password" {
  type = string
}

variable "target_node" {
  type = string
}

variable "clone_template" {
  type = string
}

variable "vm_name" {
  type = string
}

variable "cores" {
  type = number
}

variable "memory" {
  type = number
}

variable "disk_size" {
  type = string
}

variable "sockets" {
  type = number
}

variable "bridge" {
  type = string
}

variable "disk_type" {
  type = string
}

variable "storage" {
  type = string
}

variable "pm_api_url" {
  type = string
}

variable "pm_user" {
  type = string
}

variable "vm_count" {
  type        = number
  description = "How many Alpine VMs to create"
  default     = 3
}

