output "vm_ids" {
  description = "VM IDs by name"
  value = {
    for i in range(var.vm_count) :
    "Alpine-${i + 1}" => proxmox_vm_qemu.alpine[i].vmid
  }
}

output "vm_names" {
  description = "VM names"
  value = [
    for vm in proxmox_vm_qemu.alpine : vm.name
  ]
}

output "vm_clones" {
  description = "Template names each VM was cloned from"
  value = [
    for vm in proxmox_vm_qemu.alpine : vm.clone
  ]
}

